/* 
    Document   : Styles
    Created on : Mar 8, 2013, 1:18:33 PM
    Author     : schauersbergern
    Description:
        Purpose of the stylesheet follows.
*/

body.iframe fieldset {
    border: none;
    margin: 0;
    padding: 0;
}

body.iframe h1 {
    padding-top: 35px;
}

body {
    display: flex;
    flex-direction: column;
    align-items: center;
    min-height: 100vh;
}

.header {
    padding: 16px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.loginbox {
    
    background-image: url(/res/bg1.jpg);
    background-repeat: no-repeat;
    width: 860px;
    height: 285px;
    padding: 20px;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    margin-bottom: 20px;
    box-shadow: 10px 10px 5px #888888;
    overflow: hidden;
    position: relative;
   
}

.loginbox input {
    color: black;
    font-size: 19px;
}

.loginbox #fohrenbl {
    float: right;
    position: relative;
    top: -160px;
    right: 30px;
    z-index: 1;
}

.loginbox.logged #fohrenbl {
    top: -90px;
}

.loginbox h1 {
    padding-left: 223px;
    padding-top: 71px;
    z-index: 2;
    position: relative;
    font-family: "Georgia";
    font-size: 31px;
    padding-bottom: 0;
    margin: 0;
    height: 100px;
}

.loginbox.logged .loginform {
    padding-top: 62px;
}

.loginform {
    padding-top: 70px;
    width: 850px;
    z-index: 2;
    position: absolute;
}

.loginform fieldset {
    float: left;
    border: 0;
}

.loginbox #username, .loginbox #pw {
    height: 30px;
    width: 180px;
    margin-right: 5px;
    background: rgba(255, 255, 255, .4);
    border: solid 1px black;
}

.loginform #submit {
    background: url(/res/but_login.png)  no-repeat scroll 0 0 transparent;
    cursor: pointer;
    height: 60px;
    width: 155px;
    padding-bottom: 2px;
    border: none;
    font-size: 0px;
    margin-top: 13px;
}

#registerlink {
    background-image: url(/res/but_register.png);
    display: block;
    height: 60px;
    width: 240px;
    margin-top: 13px;
}

#jasslink {
    background-image: url(/res/but_start_small.png);
    background-repeat: no-repeat;
    cursor: pointer;
    display: block;
    height: 80px;
    width: 240px;
}

.ranking .showlist {
    text-align: right;
    padding-right: 10px;
}

.HeaderBlockContent {
    font-size: 15px;
    font-weight: bold;
    color: #9a9a9a;
    padding: 0px 0px 10px 0px;
    letter-spacing: 0.2em;
    background-color: #ffffff;
}

.NewsContainer img {
    width: 95px;
}

.NewsContainer .headline {
    overflow: hidden;
    white-space: nowrap;
    margin-bottom: 3px;
    text-overflow: ellipsis;
}

.NewsContainer .content {
    overflow: hidden;
    text-overflow: ellipsis;
    height: 60px;
}

.NewsContainer .headline a {
    text-decoration: none !important;
    font-weight: bold;
}

.NewsContainer .picture {
    width: 95px;
    height: 95px;
    float: left;
    margin: 0px 8px 8px 0px;
    background-image: url(/res/img_bg.png);
}

.ranking thead tr {
    height: 35px;
}

.ranking tbody tr {
    height: 30px;
}

.ranking thead th {
    border-right: solid 1px #efefef;
}

.ranking tbody tr {
    border-bottom: solid 1px #cccccc;
}

.ranking tbody tr td {
    border-left: solid 1px #cccccc;
}

.ranking tbody tr td:first-child {
    border-left: none;
}

.ranking tbody tr:last-child {
    border-bottom: none;
}

.ranking thead tr th:first-child {
    -webkit-border-top-left-radius: 10px;
    border-top-left-radius: 10px;
}

.ranking thead tr th:last-child {
    -webkit-border-top-right-radius: 10px;
    border-top-right-radius: 10px;
}

.ranking td,  .ranking th {
    overflow:hidden; 
}

.ranking {
    table-layout:fixed;
    white-space: nowrap;
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background-color: #efefef;
    width: 580px;
    float: left;
    margin-right: 20px;
    margin-bottom: 20px;
    font-family: "Georgia";
    text-align: center;
}

.ranking thead {
    background-color: #cccccc;
}

.ranking tbody {
    font-size: 14px;
}

.ranking thead {
    font-size: 16px;
}

.Clear {
    clear: both !important;
    display: block;
    font-size: 0;
    line-height: 0;
    float: none !important;
    height: 0;
}

.HighscoreAll.modal-body {
    /* width: 300px; */
    height: 300px;
    margin: 20px;
    padding: 0;
    overflow-y: scroll;
}


.HighscoreAll th {
    text-align: left;
    padding: 0 10px 5px 0; 
}

.HighscoreAll .t_user {
    
}

.HighscoreAll .t_points {
    
}

.HighscoreAll .t_sum {
    
}

.HighscoreAll .t_won {
   
}

.HighscoreAll .t_lost {
   
}

/*
.ranking tbody {
    background-color: #efefef;
}
*/


.SeoDescription {
    display: none;
}

.NewsContainer, .SeoDescription {
    width: 561px;
    background-color: #efefef;
    padding: 10px 10px 10px 10px;
    -webkit-border-radius: 0 0 10px 10px;
    border-radius: 0 0 10px 10px;
}

.TabList .Tab {
    padding: 10px 0 0 10px;
    width: 280px;
    display: block;
    height: 30px;
    float: left;
    background-color: #cccccc;
}

.TabList li:first-child {
    -webkit-border-top-left-radius: 10px;
    border-top-left-radius: 10px;
    border-right: 1px solid #efefef;
}

.TabList li:last-child {
    -webkit-border-top-right-radius: 10px;
    border-top-right-radius: 10px;
}



.TabList .Tab a {
    display: block;
    cursor: pointer;
    text-decoration: none;
    color: black;
}

.TabList .Tab.NewsDiv.Active a div, .TabList .Tab.anleitung.Active a div {
    background-image: url(/res/tab_arrow_active.png);
}

.TabList .Tab.NewsDiv.Inactive a div, .TabList .Tab.anleitung.Inactive a div {
    background-image: url(/res/tab_arrow_inactive.png);
}

.TabList .Tab a div {
    width: 20px;
    height: 20px;
    background-repeat: no-repeat;
    margin-right: 5px;
    float: left;
}

#rank_mobile {
    display: none;
}

#anleitung td {
    width: 8%;
}


@media (max-width: 960px) { 
    
    .NewsContainer, .SeoDescription {
        width: 102%;
    }

    #Header {
        display: none;
    }
    
    #Footer {
        display: none;
    }
    
    #PageContainer {
        width: 100% !important;
    }
    
    #Body {
        width: 90% !important;
    }
    
    .loginbox {
        width: 99%;
    }
    
    .ranking {
        width: 57%;
    }
    
    .loginbox.logged {
        height: 285px;
    }
    
    .TabList {
        width: 106%;
    }
    
    .TabList .Tab {
        width: 48%;
    }
    
    .iframe .loginbox {
	width: 91%;
    }
    
    .iframe .loginbox h1 {
	visibility: hidden;
    }

}

@media (max-width: 840px) { 
    
    .loginbox {
        height: 335px;
    }
    
    .fb_iframe_widget {
        display: none !important;
    }
    
    .ranking {
        width: 105%;
    }
    
    .loginform {
        width: 420px;
    }
    
    .loginbox.logged {
        height: 285px;
    }

}

@media (max-width: 500px) { 
    
    .loginbox {
        background-image: url(/res/bg1_mobile.jpg);
    }
    
    .SeoDescription {
        width: 94%;
    }
    
    .ranking thead th {
        font-size: 12px;
    }
    
    .ranking {
        width: 99%;
    }
    
    .NewsContainer {
        display: none;
    }
    
    .SeoDescription {
        display: none;
    }
    
    .loginform {
        width: 320px;
        padding-top: 195px;
    }
    
    .loginbox {
        height: 445px;
        width: 92%;
        padding-right: 0px;
    }
    
    .loginbox #fohrenbl {
        display: none;
    }
    
    .loginbox h1 {
        display: none;
    }
    
    #registerlink {
        margin-top: 0px;
    }
    
    .loginbox #fohrenbl {
        top: 0px;
        right: -30px;
    }
    
    .loginbox h1 {
        padding-left: 200px;
        padding-top: 60px;
        z-index: 2;
        position: relative;
        font-size: 19px;
        line-height: 20px;
    }
    
    .loginbox.logged {
        height: 270px;
    }
    
    .loginbox.logged .loginform {
        padding-top: 200px;
    }
    
    .loginbox.logged #fohrenbl {
        top: 7px;
    }
    
    #rank_desk {
        display: none;
    }
    
    #rank_mobile {
        display: block;
    }
    
    .Tab.NewsDiv, .Tab.anleitung {
        display: none;
    }
    
    .TabList .Tab.Active {
        width: 91%;
        border-top-left-radius: 10px;
    }
    
}

@media (max-width: 320px) { 
    .SeoDescription {
        width: 93%;
    }
}
